summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/lua/lua/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/lua/lua/run-ptest')
-rw-r--r--meta/recipes-devtools/lua/lua/run-ptest19
1 files changed, 19 insertions, 0 deletions
diff --git a/meta/recipes-devtools/lua/lua/run-ptest b/meta/recipes-devtools/lua/lua/run-ptest
new file mode 100644
index 0000000000..8e085e1af9
--- /dev/null
+++ b/meta/recipes-devtools/lua/lua/run-ptest
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+cd test
+lua -e"_U=true" all.lua > lua-test.tmp
+
+echo "--- test output ---"
+cat lua-test.tmp
+echo ""
+echo ""
+echo "--- ptest result ---"
+
+grep "final OK \!\!\!" lua-test.tmp > /dev/null
+if [ $? -eq 0 ]; then
+ echo "PASS: lua"
+else
+ echo "FAIL: lua"
+fi
+
+rm -f lua-test.tmp